View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021947LazarusLCLpublic2012-05-05 18:242012-05-08 17:41
ReporterIhor Lavrynyuk 
Assigned ToJuha Manninen 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSWindows 7OS VersionUltimate SP1 V5
Product Version1.1 (SVN)Product Build37165 
Target VersionFixed in Version 
Summary0021947: StringGrid rows=1 then sort error
DescriptionStringGrid rows=1 then click sort then program say error
Steps To Reproducecopy this text and put to form, click head column to sort

object StringGridGroups: TStringGrid
  Left = 0
  Height = 269
  Top = 48
  Width = 496
  Align = alBottom
  Anchors = [akTop, akLeft, akRight, akBottom]
  AutoFillColumns = True
  ColCount = 3
  ColumnClickSorts = True
  Columns = <
    item
      Alignment = taRightJustify
      ReadOnly = True
      SizePriority = 0
      Title.Alignment = taCenter
      Title.Caption = 'id'
      Width = 80
    end
    item
      ReadOnly = True
      Title.Caption = 'Найменування'
      Width = 348
    end>
  Options = [goFixedVertLine, goFixedHorzLine, goVertLine, goHorzLine, goDrawFocusSelected, goColMoving, goEditing, goTabs, goRowSelect, goDblClickAutoSize, goSmoothScroll, goFixedRowNumbering, goHeaderHotTracking, goSelectionActive]
  RowCount = 1
  TabOrder = 0
  TitleStyle = tsNative
  UseXORFeatures = True
  ColWidths = (
    64
    80
    348
  )
end
TagsNo tags attached.
Fixed in Revisionr37167
LazTarget-
WidgetsetWin32/Win64
Attached Filesjpg file icon error.jpg [^] (54,279 bytes) 2012-05-05 18:24


zip file icon issueS.zip [^] (3,240 bytes) 2012-05-05 21:12

- Relationships

-  Notes
(0059264)
Juha Manninen (developer)
2012-05-05 19:01

How do you sort it?
A demo application would be nice. Then people can verify if the same code creates an error in their machines. Now they must guess.
(0059273)
Ihor Lavrynyuk (reporter)
2012-05-05 21:20
edited on: 2012-05-05 21:30

see -> Steps To Reproduce: copy this text and put to form, click head column to sort

issueS.zip ^

if StringGrid have 1 fixed row(headers) and user click on title for sort(ColumnClickSorts = True) then nothin, now we have message out of range...

http://www.youtube.com/watch?v=18UIMj-qq3E [^]

(0059287)
Juha Manninen (developer)
2012-05-06 01:40
edited on: 2012-05-06 01:42

Fixed. Please test.

Sorry I forgot to click the Advanced View of this issue. It should be the default view.

(0059289)
Ihor Lavrynyuk (reporter)
2012-05-06 07:15

thanks you Juha (^-^), work fine in revision 37167

- Issue History
Date Modified Username Field Change
2012-05-05 18:24 Ihor Lavrynyuk New Issue
2012-05-05 18:24 Ihor Lavrynyuk File Added: error.jpg
2012-05-05 18:24 Ihor Lavrynyuk Widgetset => Win32/Win64
2012-05-05 19:01 Zeljan Rikalo Status new => assigned
2012-05-05 19:01 Zeljan Rikalo Assigned To => Jesus Reyes
2012-05-05 19:01 Juha Manninen LazTarget => -
2012-05-05 19:01 Juha Manninen Note Added: 0059264
2012-05-05 19:01 Juha Manninen Assigned To Jesus Reyes =>
2012-05-05 19:01 Juha Manninen Status assigned => feedback
2012-05-05 21:12 Ihor Lavrynyuk File Added: issueS.zip
2012-05-05 21:20 Ihor Lavrynyuk Note Added: 0059273
2012-05-05 21:30 Ihor Lavrynyuk Note Edited: 0059273
2012-05-06 01:35 Juha Manninen Status feedback => assigned
2012-05-06 01:35 Juha Manninen Assigned To => Juha Manninen
2012-05-06 01:40 Juha Manninen Fixed in Revision => r37167
2012-05-06 01:40 Juha Manninen Status assigned => resolved
2012-05-06 01:40 Juha Manninen Resolution open => fixed
2012-05-06 01:40 Juha Manninen Note Added: 0059287
2012-05-06 01:42 Juha Manninen Note Edited: 0059287
2012-05-06 07:15 Ihor Lavrynyuk Note Added: 0059289
2012-05-08 17:41 Ihor Lavrynyuk Status resolved => closed



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker